commit:     fffb6969681cd97392620cd636e71c5fcdf73f3d
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  6 03:52:34 2018 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue Mar 13 23:56:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fffb6969

dev-python/txaio: Version bump

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-python/txaio/Manifest           |  1 +
 dev-python/txaio/txaio-2.9.0.ebuild | 64 +++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/txaio/Manifest b/dev-python/txaio/Manifest
index 221d79e3141..4c6304a78b5 100644
--- a/dev-python/txaio/Manifest
+++ b/dev-python/txaio/Manifest
@@ -1,2 +1,3 @@
 DIST txaio-2.7.1.tar.gz 43591 BLAKE2B 
4efdcfb8ce3e8860af1efe56ae4c23efc9887a8f3a53c322444a95651f4dbb502443bdcc1d0da0ba5db8f9a832ad90b3c6dea06ca688d7120857854d3eb7c17e
 SHA512 
d77a8b5e8fc21be0bef43f2a6795229456a351abc1a5eb6d2b7de0da0a58e67a228cb06d1a7962efcc760099ef5df94e9421875ea5628985260911efc7deb85e
 DIST txaio-2.8.2.tar.gz 43670 BLAKE2B 
e5238e59964b2ddb3ab400b2e2819c25a9ceed2da7db4c8a6e450f45314818b5c5dbb9f6e9bacbda738cb382a5b63ddc6650278b35734e48aa0e59c5c581b8fa
 SHA512 
8b60a64ebfa1208995bc42e6ccbc87c4c3cd4687cb431435c6450cff31e5d0dba468c3f3494902e666cb2ee6dea84ded458fd8f1b3b9c25421b440dcd3fc5884
+DIST txaio-2.9.0.tar.gz 44195 BLAKE2B 
6c62fc6f17ee860aead90cf5f5d02c7c0d9709adf7bcecbb6a7c1723abf0d8672dbc0b869dfe4683bc26c9608e94c41364add18c22e8e98678de8e10018d991c
 SHA512 
ee07d776fa5894b716fdced36aaa6436336a1f1db97dedb0fd0575d61a7b48b12dfc90ed6078602d7a2c2a00bfa7f815ca76cd75e472a27ff7bfdb56291efa46

diff --git a/dev-python/txaio/txaio-2.9.0.ebuild 
b/dev-python/txaio/txaio-2.9.0.ebuild
new file mode 100644
index 00000000000..b82b9ad8130
--- /dev/null
+++ b/dev-python/txaio/txaio-2.9.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Compatibility API between asyncio/Twisted/Trollius"
+HOMEPAGE="https://github.com/crossbario/txaio 
https://pypi.python.org/pypi/txaio";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc test"
+
+RDEPEND="
+       $(python_gen_cond_dep '>=dev-python/trollius-2.0[${PYTHON_USEDEP}]' 
python2_7)
+       $(python_gen_cond_dep '>=dev-python/futures-3.0.3[${PYTHON_USEDEP}]' 
python2_7)
+"
+DEPEND="app-arch/unzip
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/sphinx-1.2.3[${PYTHON_USEDEP}]
+               >=dev-python/sphinxcontrib-spelling-2.1.2[${PYTHON_USEDEP}]
+               >=dev-python/sphinx_rtd_theme-0.1.9[${PYTHON_USEDEP}]
+       )
+       test? ( >=dev-python/pytest-2.6.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-cov-1.8.1[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+               >=dev-python/tox-2.1.1[${PYTHON_USEDEP}]
+               >=dev-python/pep8-1.6.2[${PYTHON_USEDEP}]
+               >=dev-python/pyenchant-1.6.6[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       default_src_prepare
+       # Take out failing tests known to pass when run manually
+       # we certainly don't need to test "python setup.py sdist" here
+       rm "${S}/test/test_packaging.py" || die
+}
+
+python_prepare() {
+       # https://github.com/tavendo/txaio/issues/3
+       cp -r "${FILESDIR}"/util.py test || die
+
+       distutils-r1_python_prepare
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( doc/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to